.story-scroll-container {
    position: relative;
    display: flex;
    align-items: center;
    overflow: hidden;
    background: #fff;
    margin: 8px;
    box-shadow: 0 2px 6px 0 rgba(44, 61, 120, 0.07);
    border-radius: 14px;
}
#stories-container {
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
    scrollbar-width: none; /* Firefox */
    padding: 0px;
}
#stories-container::-webkit-scrollbar {
    display: none; /* Chrome */
}
.scroll-btn {
  z-index: 10;
  background: initial;
  border: none;
  padding-left: 12px;
  cursor: pointer;
  display: none;
  opacity: 1;
  position: absolute;
  top: 0;
  bottom: 0;
}
.scroll-btn:hover {
  opacity: 1;
}
.scroll-btn_div {
  border-radius: 24px;
  width: 40px;
  height: 40px;
  color: #99a2ad;
  background-color: #fff;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: relative;
  --vkui--elevation3: 0px 0px 2px rgba(0, 0, 0, 0.08), 0px 4px 16px rgba(0, 0, 0, 0.08);
  box-shadow: var(--vkui--elevation3);
  margin-bottom: 20px;
}
.scroll-btn.left {
    left: 0;
}
.scroll-btn.right {
    right: 0;
}





.story-item img {
  padding: .4em;
  box-sizing: border-box;
}
.story-ring svg {
  width: 100%;
  height: 100%;
}
.story-item img {
  position: relative;
  z-index: 2;
}
.story-ring {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 2;
  transform: rotate(96deg);
}
.story-border-wrapper {
  width: 100%;
  height: 100%;
  transform: rotate(-90deg);
}
.story-border-spin {
  animation: rotate-once 1s ease-out forwards;
}

@keyframes rotate-once {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(180deg);
  }
}

.story-scroll-container .story-box {
    gap: 0;
}
.story-box .story-wrapper {
  width: 100%;
  display: table-cell;
}






.StoriesFeedBlock__item, .story-wrapper {
  display: table-cell;
  text-align: center;
  font-size: 12px;
  line-height: 14px;
  box-sizing: border-box;
  cursor: pointer;
  padding: 12px 4px;
  max-width: 84px;
  min-width: 84px;
  will-change: transform,box-shadow;
  outline: none;
  -webkit-tap-highlight-color: transparent;
  -webkit-focus-ring-color: transparent;
}
.StoriesFeedBlock__item--alignTop {
  vertical-align: top;
}
.StoriesFeedBlock__item, .StoriesFeedBlock__item--decoration-new {
  font-weight: 500;
  -webkit-font-smoothing: subpixel-antialiased;
  -moz-osx-font-smoothing: auto;
}
.StoriesFeedBlock__avatarsWrap {
  position: relative;
  margin: auto;
  width: 60px;
  height: 60px;
  border-radius: 60px;
}
.StoriesFeedBlock__avatarGrid {
  width: 56px;
  height: 56px;
  margin: 2px;
  border-radius: 50%;
  overflow: hidden;
}
.StoriesFeedBlock__avatar {
  float: left;
  background-size: cover;
  background-position: center;
  background-color: #f5f5f5;
  overflow: hidden;
  width: 100%;
  height: 100%;
}
.StoriesFeedBlock__avatarAddBlueIcon {
  transform: translate(50%,50%);
  position: absolute;
  right: 15%;
  bottom: 15%;
  background-color: #ffffff;
  border-radius: inherit;
  padding: 2px;
  margin-bottom: 1.5px;
  margin-right: 1.5px;
}
.StoriesFeedBlock__name {
  overflow: hidden;
  margin: 4px 0 0;
  padding-left: 2px;
  padding-right: 2px;
  white-space: normal;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  word-break: break-all;
}
.story-wrapper .story-item {
  position: relative;
  margin: auto;
  width: 62px;
  height: 62px;
  border-radius: 62px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.svgIcon svg {
  display: block;
}
.story-item .StoriesFeedBlock__avatar {
  float: left;
  background-size: cover;
  background-position: center;
  background-color: #f5f5f5;
  overflow: hidden;
  width: 52px;
  height: 52px;
  border-radius: 50%;
}
.unread + .StoriesFeedBlock__name {
  color: #2688eb;
}






















